# saveUserCustomIdentifier method

Future<Either<String, dynamic>> saveUserCustomIdentifier({

1. int? userCustomIdentifier,

})

Saves a custom identifier for the user to secure storage.

This method writes the provided `userCustomIdentifier` to secure storage with the key 'userCustomIdentifier'.

Returns a Future that completes with an Either containing a String on the left side in case of an error, or a `dynamic` value on the right side upon successful completion.

Parameters:

- `userCustomIdentifier`: An optional integer representing the custom identifier for the user.

## Implementation

    Future<Either<String, dynamic>> saveUserCustomIdentifier({
      int? userCustomIdentifier,
    }) async {
      await _secureStorageWrite(
        key: 'userCustomIdentifier',
        value: userCustomIdentifier.toString(),
      );
      return const Right(Void);
    }